Subject: [6lowpan] five questions

From: "Porcu Giorgio" <[email-masked]>
Date: Tue, 9 Oct 2007 14:49:36 +0200

Hello to everyone,
I'm a student from the University of Pisa and I'm carrying out a search thesis about 6LowPan.

I have some questions about how 6LowPan handles IPv6 address. 

If we use other kind (instead of LinkLocal address) of address we have to carry inline at least (and always) the 64-bit of prefix ...is this claim correct? 
- If the destinator and the originator have in common subnet prefix, but they don't use Link Local address, do we have to put both in the 6LowPan frame?
at page 17 of the RFC4944, in fact, I read:
>>PC:  Prefix compressed (link-local prefix assumed).

- at page 16 it's written:
>>The following IPv6 header values are expected to be common on 6LoWPAN networks, so the HC1 header has been constructed to efficiently compress them from  the onset: Version is IPv6; both IPv6 source >> and destination addresses are link local; the IPv6 interface identifiers (bottom 64 bits) for the source or destination addresses can be inferred from the layer two source and destination addresses (of course, >> this is  only possible for interface identifiers derived from an underlying 802.15.4 MAC address); ...
It means that (if we don't use the mesh addressing field) the LinkLocal compression is possible only with EUI-64 bit mac address? If I am wrong: how can we distinguish if the II_ID contains or not the PANID ?

- Another question that I have deals with the HC1_G draft.
At the page number 4, it's written:
>>   LOWPAN_HC1g is identified by dispatch value 0x30, whereas LOWPAN_HC1 is identified by dispatch value 0x10.
but the dispatch HC1 (compressed) isn't identified by the value 0x42 (0x41 in the case of uncompressed IPv6 header)???

- Again in the HC1_G draft and at the page 5:
>> To support compression of global unicast addresses, LOWPAN_HC1g assumes that a PAN is assigned one compressible 64-bit global IP  prefix.  When either the source or destination address matches the
>>   compressible global IP prefix, the prefix can be elided.
I don't understand very well what CGP prefix means....maybe is it the 64-bit mac address of the coordinator?
Who determine this prefix in a PAN??

- Last question:
at the page 5:
>>   Full 128-bit IPv6 address elided:  ...The  64-bit interface identifier is derived either from the LoWPAN    Mesh Addressing header or from the IEEE 802.15.4 link header.  The link-layer addresses used to
>>  derive the 64-bit interface identifier is a short address, the short address describes the lower 16 bits of the interface identifier.  The upper 48 bits are assumed to be all zeros.
Does it mean that we have to use only short address to elide Interface Identifier ID in HC1_G ???

I'm sorry for this wide and heavy email, I hope that someone will have the patience to read all and , I wish, to replay.

Thanks a lot.
Giorgio

_______________________________________________
6lowpan mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/6lowpan